com.verisign.epp.codec.registry.v02

## Class EPPRegistryServices

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryServices

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryServices
      extends java.lang.Object
      implements EPPCodecComponent

  EPP namespace URIs of the objects and object extensions supported by the server based on RFC 5730. The `EPPRegistryServices` contains the following lists:
  - One or more object `String`s that contain namespace URIs representing the objects that the server is capable of managing for the zone with the required "required" attribute that defines whether the server requires the use of object represented by the URI.
  - An optional `EPPRegistryServicesExt` object that contains one or more `String`s that contain namespace URIs representing object extensions support by the server for the zone with the required "required" attribute that defines whether the server requires the use of the object extension represented by the URI.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPPRegistryServices.EPPRegistryObjURI` Object service URI that includes the URI value and a "required" attribute that indicates whether use of the object service is required.
    `static class` | `EPPRegistryServices.EPPRegistryURI` Abstract class that represents an object or extension URI.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryServices`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryServices`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryServices()` Default constructor.
    `EPPRegistryServices(java.util.List<EPPRegistryServices.EPPRegistryObjURI> aObjURIs)` Constructor that takes the list of object URIs for the zone.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addObjURI(EPPRegistryServices.EPPRegistryObjURI aURI)` Adds an object namespace URI to the list of object namespace URIs.
    `java.lang.Object` | `clone()` Clone `EPPRegistryServices`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryServices` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryServices` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryServices` compare.
    `EPPRegistryServicesExt` | `getExtension()` Gets the extension services.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.util.List<EPPRegistryServices.EPPRegistryObjURI>` | `getObjURIs()` Gets the namespace URIs representing the objects that the server is capable of managing for the zone.
    `void` | `setExtension(EPPRegistryServicesExt aExtension)` Sets the extension services.
    `void` | `setObjURIs(java.util.List<EPPRegistryServices.EPPRegistryObjURI> aObjURIs)` Sets the namespace URIs representing the objects that the server is capable of managing for the zone.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryServices`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryServices`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryServices

          public EPPRegistryServices()

      Default constructor. At least one object URI must be set prior to calling `encode(Document)`.

    - #### EPPRegistryServices

          public EPPRegistryServices(java.util.List<EPPRegistryServices.EPPRegistryObjURI> aObjURIs)

      Constructor that takes the list of object URIs for the zone.
      Parameters:
        `aObjURIs` - `List` of `EPPRegistryServices.EPPRegistryObjURI` instances

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryServices` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryServices` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryServices` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryServices` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryServices` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryServices` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryServices` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryServices`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryServices`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getObjURIs

          public java.util.List<EPPRegistryServices.EPPRegistryObjURI> getObjURIs()

      Gets the namespace URIs representing the objects that the server is capable of managing for the zone.
      Returns:
        `List` of `EPPRegistryServices.EPPRegistryURI` instances.

    - #### setObjURIs

          public void setObjURIs(java.util.List<EPPRegistryServices.EPPRegistryObjURI> aObjURIs)

      Sets the namespace URIs representing the objects that the server is capable of managing for the zone.
      Parameters:
        `aObjURIs` - `List` of `EPPRegistryServices.EPPRegistryURI` instances.

    - #### addObjURI

          public void addObjURI(EPPRegistryServices.EPPRegistryObjURI aURI)

      Adds an object namespace URI to the list of object namespace URIs.
      Parameters:
        `aURI` - URI to add to list

    - #### getExtension

          public EPPRegistryServicesExt getExtension()

      Gets the extension services.
      Returns:
        Extension services if defined; `null` otherwise.

    - #### setExtension

          public void setExtension(EPPRegistryServicesExt aExtension)

      Sets the extension services.
      Parameters:
        `aExtension` - Extension services to set.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.